Subject: RE: IPP> Posted draft IPP Printer State Reasons Extensions (17 Ju ly 2006)

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 18 Jul 2006 09:15:33 -0700

Hi Michael,

What I've written up, using keyword/value pairs
in "printer-state-message", was explicitly approved
in the charter for this work by the PWG Steering 
Committee.

My collaborators at Sharp need a solution that
does NOT rely on the 'collection' datatype (which
is not supported in their IPP implementations nor
planned for future support).

When the IPP PSX charter was sent out for review,
we requested feedback on the approaches - you've
made a reasonable case for leaving the severity
suffixes alone (some HP printers and CUPS have
implemented them) - unfortunately, none of the
PWG Steering Committee members were aware of those
implementations before - so this is good feedback.

We'll see what further review on the mailing list
yields, but a 'collection' approach is not going
to be acceptable to Sharp (who are funding my
work on this project), so other approaches (e.g.,
a keyword/value encoding in a new simple text
attribute) should also be considered.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: Michael Sweet [mailto:[email-masked]]
> Sent: Monday, July 17, 2006 6:30 PM
> To: McDonald, Ira
> Cc: [email-masked]'
> Subject: Re: IPP> Posted draft IPP Printer State Reasons 
> Extensions (17
> July 2006)
> 
> 
> McDonald, Ira wrote:
> > Hi folks,                                          Monday 
> (17 July 2006)
> > 
> > I've just posted the first draft of the PWG IPP Printer 
> State Reasons
> > Extensions specification on the PWG FTP server at:
> > 
> >     ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippstate10-20060717.htm
> > 
> > This draft is technically complete (to the best of my 
> ability) except
> > for the summary conformance sections (individual sections 
> already have
> > detailed conformance requirements).
> > 
> > For immediate review, comment on the IPP WG mailing list 
> ([email-masked]),
> > and discussion at an IPP WG Telecon as soon as possible.
> 
> WRT section 5.1.1, CUPS implements the severity suffixes as required
> by RFC 2911.  I don't think we can just do away with them, but
> defining a mapping from keyword-suffix to keyword would have the
> equivalent effect without requiring an update of RFC 2911...  Also,
> I know I get "media-tray-empty-error" and other messages from HP
> printers via IPP, so we're not the only company implementing it...
> 
> Also, overloading printer-state-message with non-localized alert
> object data is, IMHO, the wrong approach.  Define a printer-alert
> 1setOf collection that contains all of the prtAlert* objects.  CUPS
> uses printer-state-message to hold the human-readable state message
> (as defined by RFC 2911), and it would be impossible for CUPS to
> conform to this spec if you use printer-state-message for this
> purpose.
> 
> -- 
> ______________________________________________________________________
> Michael Sweet, Easy Software Products           mike at easysw dot com
> Internet Printing and Publishing Software        http://www.easysw.com
> 

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.394 / Virus Database: 268.10.1/390 - Release Date: 7/17/2006